<?php
include "conexao.php";
function soNumero($str)
{
    return preg_replace("/[^0-9]/", "", $str);
}

// Aqui vou gravar os dados do formulario no banco de dados .
if (isset($_POST['cadastra_usuario'])) {
    //dados pegados via POST
    $nome       = $_POST['nome'];
    $email      = $_POST['email'];
    $senha      = $_POST['senha'];
    $cep        = $_POST['cep'];
    $endereco   = $_POST['endereco'];
    $cidade     = $_POST['cidade'];
    $estado     = $_POST['estado'];
    $telefone   = soNumero($_POST['telefone']);
    $cpf        = str_replace('.', '', str_replace('-', '', $_POST['cpf']));
    $numero     = $_POST['numero'];
    $bairro     = $_POST['bairro'];

    //Estrutura do json que vai ser enviada para rota.
    $dados['acao'] = 'cadastrar';
    $dados['cpf'] = "$cpf";
    $dados['email'] = "$email";
    $dados['nome'] = "$nome";
    $dados['senha'] = "$senha";
    $dados['cep'] = "$cep";
    $dados['endereco'] = "$endereco";
    $dados['cidade'] = "$cidade";
    $dados['estado'] = "$estado";
    $dados['telefone'] = "$telefone";
    $dados['numero'] = "$numero";
    $dados['bairro'] = "$bairro";

    $dado[] = json_encode($dados);

   
    // Estrutura da requisição
    $ch = curl_init("https://smsmobile.com.br/sms/routes/usuario.php");
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $dado);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $AUX = $server_output = curl_exec($ch);
    $info = curl_getinfo($ch);
    curl_close($ch);

    $dados =  json_decode($server_output, true);

    if (!empty($dados['hash']) && $dados['status'] == 'Sucesso') {
        $hash       = $dados['hash'];
        $id_usuario = $dados['id_usuario'];
        $status = 1;
        $recebe = mysqli_query($db, "INSERT INTO usuario_sms (hash, email, senha, status) VALUES ('$hash', '$email', '$senha', '1')");


        $dados = [];
        $dado = [];

        $dados['acao'] = 'addSaldo';
        $dados['iduser'] = $id_usuario;
        $dado[] = json_encode($dados);
        $ch = curl_init("https://smsmobile.com.br/sms/shortcode/routes/usuario.php");
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $dado);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        $server_output = curl_exec($ch);
        curl_close($ch);



    } else {
        $status = 0;
    }

    header("Location: usuario_sms.php?status=$status");
    die();
} elseif (isset($_POST['alterar_usuario'])) {

    $recebe = mysqli_query($db, "SELECT hash FROM usuario_sms WHERE status = '1'");
    if (mysqli_num_rows($recebe)) {
        $recebe = mysqli_fetch_assoc($recebe);
        $hash = $recebe['hash'];
    }

    //dados pegados via POST
    $senha      = $_POST['senha'];
    $nome       = $_POST['nome'];
    $cep        = $_POST['cep'];
    $endereco   = $_POST['endereco'];
    $cidade     = $_POST['cidade'];
    $estado     = $_POST['estado'];
    $telefone   = soNumero($_POST['telefone']);
    $numero     = $_POST['numero'];
    $bairro     = $_POST['bairro'];

    //Estrutura do json que vai ser enviada para rota.
    $dados['hash']      = $hash;
    $dados['senha']     = $senha;
    $dados['acao']      = 'alterar';
    $dados['nome']      = "$nome";
    $dados['cep']       = "$cep";
    $dados['endereco']  = "$endereco";
    $dados['cidade']    = "$cidade";
    $dados['estado']    = "$estado";
    $dados['telefone']  = "$telefone";
    $dados['numero']    = "$numero";
    $dados['bairro']    = "$bairro";

    $dado[] = json_encode($dados);

    // Estrutura da requisição
    $ch = curl_init("https://smsmobile.com.br/sms/routes/usuario.php");
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $dado);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $server_output = curl_exec($ch);
    $info = curl_getinfo($ch);
    curl_close($ch);

    $dados =  json_decode($server_output, true);

    if (isset($dados['status']) == 'Sucesso') {
        $status = 1;
    } else{
        $status = 0;
    }

    header("Location: usuario_sms.php?status=$status");
    die();
}
